.titleBar { margin-bottom: 5px!important; }

[PATCH] Ruby fastcgi Unterstützung

Dieses Thema im Forum "Freetz" wurde erstellt von mehle, 26 Feb. 2009.

  1. mehle

    mehle Mitglied

    Registriert seit:
    26 Jan. 2009
    Beiträge:
    273
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hallo,

    anbei ein Patch für die Ruby FastCGI Unterstützung.

    Ich habe mit diesem Patch aber folgendes Problem: bei einem make wird das Paket nicht von dem angegebenen Server heruntergeladen.

    Kann mir jemand bitte helfen, den Fehler zu finden?

    Danke
    Stephan
     

    Anhänge:

  2. olistudent

    olistudent IPPF-Urgestein

    Registriert seit:
    19 Okt. 2004
    Beiträge:
    14,756
    Zustimmungen:
    1
    Punkte für Erfolge:
    0
    Beruf:
    Softwareentwickler
    Ort:
    Kaiserslautern
    Du hast eine Abhängigkeit vergessen...
    Code:
    $($(PKG)_BINARY): $($(PKG)_DIR)/.configured
    Ich nehme an, dass da in dem Package noch was fehlt? Oder wo kommt das $pkg-target-binary her?

    MfG Oliver
     
  3. mehle

    mehle Mitglied

    Registriert seit:
    26 Jan. 2009
    Beiträge:
    273
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    $($(PKG)_BINARY): $($(PKG)_DIR)/.configured geht nicht, da es ein configure sucht.

    Ich will nur, daß das Tar heruntergeladen wird und entpackt wird. In dem Tar ist eine fcgi.rb Datei drinnen, die ich sofort nutzen kann (d.h. in das Ziel kopieren kann).

    Kein kompilieren, kein configure.

    Danke
    Stephan
     
  4. RalfFriedl

    RalfFriedl IPPF-Urgestein

    Registriert seit:
    22 Apr. 2007
    Beiträge:
    12,343
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Dafür gibt es PKG_CONFIGURED_NOP.
     
  5. mehle

    mehle Mitglied

    Registriert seit:
    26 Jan. 2009
    Beiträge:
    273
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Danke, dies war der Trick. Leider kann ich noch kein fertigen Patch liefern, da mir noch das mmap Modul fehlt.

    Danke
    Stephan
     
  6. Whoopie

    Whoopie Aktives Mitglied

    Registriert seit:
    19 Okt. 2004
    Beiträge:
    805
    Zustimmungen:
    3
    Punkte für Erfolge:
    18
    Hi,

    ich schreib das jetzt mal hier, obwohl es nicht wirklich passt.

    mehle, könntest Du bitte die Du-Form verwenden. Ich finde es unnötig, zu siezen, und Du bist bis jetzt der einzige, der das macht. ;)
    Siehe z.B. hier.

    Danke,
    Whoopie
     
  7. olistudent

    olistudent IPPF-Urgestein

    Registriert seit:
    19 Okt. 2004
    Beiträge:
    14,756
    Zustimmungen:
    1
    Punkte für Erfolge:
    0
    Beruf:
    Softwareentwickler
    Ort:
    Kaiserslautern